include ../../components/visualizar/endereco
include ../../components/visualizar/pessoaJuridica
include ../../components/visualizar/pessoaFisica
include ../../components/visualizar/contato
include ../../components/visualizar/empreendimento

div#modalVisualizar.modal.fade

	div.modal-dialog.modal-lg

		div.modal-content

			div.modal-header
				button.close.pull-right(type="button", data-dismiss="modal")
					i.material-icons close
				h2.modal-title(id="modal-title", ng-if="pessoaVisualizar.tipo.codigo === constantes.CODIGO_PESSOA_FISICA") Visualizar pessoa física
				h2.modal-title(id="modal-title", ng-if="pessoaVisualizar.tipo.codigo === constantes.CODIGO_PESSOA_JURIDICA") Visualizar pessoa jurídica

			div.modal-body(id="modal-body")

				div.panel.panel-default(ng-if="pessoaVisualizar.tipo.codigo == constantes.CODIGO_PESSOA_FISICA")

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#pessoa", data-parent="#pessoa") Dados pessoais

					div.modalVisualizar.panel-collapse.collapse.in(id="pessoa")

						div.panel-body

							+pessoaFisica("pessoaVisualizar")

				div.panel.panel-default(ng-if="pessoaVisualizar.tipo.codigo == constantes.CODIGO_PESSOA_JURIDICA")

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#pessoa", data-parent="#pessoa") Dados gerais

					div.modalVisualizar.panel-collapse.collapse.in(id="pessoa")

						div.panel-body

							+pessoaJuridica("pessoaVisualizar")

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#contatosPessoaVisualizar", data-parent="#contatosPessoaVisualizar") Contatos

					div.modalVisualizar.panel-collapse.collapse.in(id="contatosPessoaVisualizar")

						div.panel-body

							+contato("pessoaVisualizar.contatos", "classRuleContatosPessoa")

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#enderecoPrincipalPessoaVisualizar", data-parent="#enderecoPrincipalPessoaVisualizar") Endereço principal

					div.modalVisualizar.panel-collapse.collapse.in(id="enderecoPrincipalPessoaVisualizar")

						div.panel-body

							+endereco("pessoaVisualizar.enderecoPrincipal", "false")

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#enderecoCorrespondenciaPessoaVisualizar", data-parent="#enderecoCorrespondenciaPessoaVisualizar") Endereço de correspondência

					div.modalVisualizar.panel-collapse.collapse.in(id="enderecoCorrespondenciaPessoaVisualizar")

						div.panel-body

							+endereco("pessoaVisualizar.enderecoCorrespondencia", "true")

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#empreendimentosPessoaVisualizar", data-parent="#empreendimentosPessoaVisualizar") Empreendimentos relacionados

					div.modalEsconder.panel-collapse.collapse.in#empreendimentosPessoaVisualizar

						div.panel-body

							+empreendimento("empreendimentos", "false")

			div.modal-footer.padding-modal-footer
				div
					button.btn.btn-default.btn-raised.pull-right(type='button', ng-click="fecharModal('modalVisualizar')") Fechar